﻿using System.Data;
using Dapper;
using Microsoft.Data.SqlClient;
using Shared.DTO.Envios_DGA;
using Shared.DTO.VariablesEntorno;

namespace DAL
{
    public class MedicionDGARepository
    {
        public async Task<List<DatoDGA>> ObtenerMedicionesAsync()
        {
            await using var connection = new SqlConnection(BdConexion.StringConnection);

            var result = await connection.QueryAsync<DatoDGA>(
                "SP_OBTENER_DGA_DATOS",
                commandType: CommandType.StoredProcedure);

            return result.ToList();
        }
    }
}
